## 步骤
1.在npm库的src下创建gm/manage.gmvue文件
2.在manage.gmvue中需要为manage.event.ts文件中带有批注的rpc方法生成点击按钮
3.每个按钮的名称为带批注的rpc方法的名称
4.每个按钮点开后是多个输入框，输入框的作用是用于输入rpc需要的参数，需要为参数的输入进行提示和类型转换
5.对方法中需要传入的参数，可以根据方法中arg.xxx来确认需要那些传入值
6.每个输入框的提示为每个参数名称和需求数据类型
7.输入框下面还有一个提交按钮，该按钮绑定调用事件
8.请按照下方样例进行生成，每个方法都需要生成，请不要为节省篇幅省略!
注意：返回值很重要，需要生成r,用于展示
```ts
  (<any>window).pluginMgr.httpPost("pi_email_send_sys_mail", data).then((r) => {
         message.success(`操作成功: ${JSON.stringify(r)}`);
    }).catch(e => {
    });
```
## 样例 为game_train_room库生成

```ts
//例子：下面为manage.event.ts中的一个方法

// #[event=TestSeizeRoom, src=pid_rpc, management_plugin_name=game_train_room, auth=rw]
export const TestSeizeRoom = async (_eventName: string, arg: any) => {
    await env.dbMgr.write(async (tr: Tr) => {
        let params = JSON.parse(arg.data);
        await seizeRoom(tr, params.rid, params.site);
    });
};

// #[event=TestTrainAward, src=pid_rpc, management_plugin_name=game_train_room, auth=rw]
export const TestTrainAward = async (_eventName: string, arg: any) => {
    await env.dbMgr.write(async (tr: Tr) => {
        let params = JSON.parse(arg.data);
        await trainAward(tr, params.rid);
    });
};

// #[event=TestReceiveDaliyAward, src=pid_rpc, management_plugin_name=game_train_room, auth=rw]
export const TestReceiveDaliyAward = async (_eventName: string, arg: any) => {
    await env.dbMgr.write(async (tr: Tr) => {
        let params = JSON.parse(arg.data);
        await receiveDaliyAward(tr, params.rid);
    });
};

```


```ts
//通过上面的例子生成的vue样本

<template>
    <div class="page">
        <!-- TestSeizeRoom 表单 -->
        <a-collapse>
            <a-collapse-panel key="1" header="TestSeizeRoom">
                <a-form :model="formState1" name="form1" @finish="onFinish1">
                    <a-form-item label="rid" name="rid" :rules="[{ required: true }]">
                        <a-input v-model:value="formState1.rid" placeholder="请输入rid" />
                    </a-form-item>
                    <a-form-item label="site" name="site" :rules="[{ required: true }]">
                        <a-input v-model:value="formState1.site" placeholder="请输入site" />
                    </a-form-item>
                    <a-button type="primary" html-type="submit">提交</a-button>
                </a-form>
            </a-collapse-panel>

            <!-- TestTrainAward 表单 -->
            <a-collapse-panel key="2" header="TestTrainAward">
                <a-form :model="formState2" name="form2" @finish="onFinish2">
                    <a-form-item label="rid" name="rid" :rules="[{ required: true }]">
                        <a-input v-model:value="formState2.rid" placeholder="请输入rid" />
                    </a-form-item>
                    <a-button type="primary" html-type="submit">提交</a-button>
                </a-form>
            </a-collapse-panel>

            <!-- TestReceiveDaliyAward 表单 -->
            <a-collapse-panel key="3" header="TestReceiveDaliyAward">
                <a-form :model="formState3" name="form3" @finish="onFinish3">
                    <a-form-item label="rid" name="rid" :rules="[{ required: true }]">
                        <a-input v-model:value="formState3.rid" placeholder="请输入rid" />
                    </a-form-item>
                    <a-button type="primary" html-type="submit">提交</a-button>
                </a-form>
            </a-collapse-panel>
        </a-collapse>
    </div>
</template>

<script lang="ts" setup>
import { reactive } from "vue";
import { message } from 'ant-design-vue';

// TestSeizeRoom 表单
const formState1 = reactive({
    rid: "",
    site: ""
});

const onFinish1 = (values: any) => {
    const data = { data: JSON.stringify(values) };
    (<any>window).pluginMgr.httpPost("TestSeizeRoom", data).then((r) => {
         message.success(`操作成功: ${JSON.stringify(r)}`);
    }).catch(() => {
        message.error('操作失败');
    });
};

// TestTrainAward 表单
const formState2 = reactive({
    rid: ""
});

const onFinish2 = (values: any) => {
    const data = { data: JSON.stringify(values) };
    (<any>window).pluginMgr.httpPost("TestTrainAward", data).then((r) => {
         message.success(`操作成功: ${JSON.stringify(r)}`);
    }).catch(() => {
        message.error('操作失败');
    });
};

// TestReceiveDaliyAward 表单
const formState3 = reactive({
    rid: ""
});

const onFinish3 = (values: any) => {
    const data = { data: JSON.stringify(values) };
    (<any>window).pluginMgr.httpPost("TestReceiveDaliyAward", data).then((r) => {
         message.success(`操作成功: ${JSON.stringify(r)}`);
    }).catch(() => {
        message.error('操作失败');
    });
};
</script>

<script lang="ts">
export const gmName = "game_train_room";
</script>

<style scoped>
.page {
    padding: 20px;
}
.ant-collapse {
    margin-bottom: 20px;
}
</style>

```